FsImageProto.INodeSection.XAttrFeatureProtoOrBuilder (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: FsImageProto, class: INodeSection, interface: XAttrFeatureProtoOrBuilder

Package org.apache.hadoop.hdfs.server.namenode

# Interface FsImageProto.INodeSection.XAttrFeatureProtoOrBuilder

All Superinterfaces:
  `org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder`, `org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `FsImageProto.INodeSection.XAttrFeatureProto`, `FsImageProto.INodeSection.XAttrFeatureProto.Builder`

Enclosing class:
  FsImageProto.INodeSection

public static interface FsImageProto.INodeSection.XAttrFeatureProtoOrBuilder extends org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FsImageProto.INodeSection.XAttrCompactProto`
  `getXAttrs(int index)`
  `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`
  `int`
  `getXAttrsCount()`
  `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`
  `List<FsImageProto.INodeSection.XAttrCompactProto>`
  `getXAttrsList()`
  `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`
  `FsImageProto.INodeSection.XAttrCompactProtoOrBuilder`
  `getXAttrsOrBuilder(int index)`
  `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`
  `List<? extends FsImageProto.INodeSection.XAttrCompactProtoOrBuilder>`
  `getXAttrsOrBuilderList()`
  `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface org.apache.hadoop.thirdparty.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getXAttrsList

    List<FsImageProto.INodeSection.XAttrCompactProto> getXAttrsList()
    `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`

  - ### getXAttrs

    FsImageProto.INodeSection.XAttrCompactProto getXAttrs(int index)
    `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`

  - ### getXAttrsCount

    int getXAttrsCount()
    `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`

  - ### getXAttrsOrBuilderList

    List<? extends FsImageProto.INodeSection.XAttrCompactProtoOrBuilder> getXAttrsOrBuilderList()
    `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`

  - ### getXAttrsOrBuilder

    FsImageProto.INodeSection.XAttrCompactProtoOrBuilder getXAttrsOrBuilder(int index)
    `repeated .hadoop.hdfs.fsimage.INodeSection.XAttrCompactProto xAttrs = 1;`